CK_HT_NEXT(3)

NAME
ck_ht_next - iterate to next entry in hash table

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
bool
ck_ht_next(ck_ht_t *ht, ck_ht_iterator_t *iterator, ck_ht_entry_t **entry);

DESCRIPTION
The ck_ht_next() function will increment the iterator object pointed to by iterator to point to the next non-empty hash table entry. If ck_ht_next() returns true then the pointer pointed to by entry is initialized to the current hash table entry pointed to by the iterator object.

It is expected that iterator has been initialized using the ck_ht_iterator_init(3) function or statically initialized using CK_HT_ITERATOR_INITIALIZER.

RETURN VALUES
If ck_ht_next() returns true then the object pointed to by entry points to a valid hash table entry. If ck_ht_next() returns false then value of the object pointed to by entry is undefined.

ERRORS
Behavior is undefined if iterator or ht are uninitialized.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_count(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key_length(3), ck_ht_entry_key(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3)

Additional information available at http://concurrencykit.org/